#请确保您的docker-compose.yml所创建的文件夹有足够的权限，否则可能会失败，
services:
  mysql8:
    image: mysql:8.0
    container_name: mtab_sql #请不要修改
    ports:
      - "9201:3306"
    volumes:
      - ./mysql8:/var/lib/mysql #如有必要请修改为其他路径，请连同mTab配置一同修改
    environment:
      MYSQL_ROOT_PASSWORD: mtab #mysql的root密码
      MYSQL_DATABASE: mtab #数据库名
      MYSQL_USER: mtab #数据库用户名
      MYSQL_PASSWORD: mtab #数据库密码
      TZ: Asia/Shanghai
      CHARACTER_SET_SERVER: utf8mb4
      COLLATION_SERVER: utf8mb4_general_ci
    restart: always
    networks:
      - my-network
  mTab:
    image: itushan/mtab
    container_name: mTabServer
    ports:
      - "9200:80"
    volumes:
      - ./mtab:/app
    environment:
      MYSQL_HOST: mtab_sql #mysql的容器名请不要修改
      MYSQL_USER: mtab #数据库用户名
      MYSQL_PORT: 3306 #数据库端口
      MYSQL_PASSWORD: mtab #数据库密码
      MYSQL_DATABASE: mtab #数据库名
      ADMIN_USER: admin # 安装后默认管理员账号 可以安装后修改
      ADMIN_PASSWORD: 123456 # 安装后默认管理员密码 可以安装后修改
    restart: always
    depends_on:
      - mysql8
    entrypoint: [ "sh", "-c", "sleep 30 && ./start.sh" ] # 延迟启动，等待mysql启动
    networks:
      - my-network
networks:
  my-network:
    driver: bridge

